%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python wrapper for the Ogg Vorbis audio libraries
Name: python-vorbis
Version: 1.5
Release: 0.17.a%{?dist}
License: LGPLv2
Group: Development/Languages
URL: http://ekyo.nerim.net/software/pyogg/
Source: http://ekyo.nerim.net/software/pyogg/pyvorbis-%{version}a.tar.gz
Patch0: python-vorbis-1.5a-python2.5.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-ogg
BuildRequires: python-devel
BuildRequires: python-ogg-devel
BuildRequires: libvorbis-devel

%description
An object-oriented Python binding for the Ogg Vorbis libraries. Ogg is
a multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg Vorbis format.


%prep
%setup -q -n pyvorbis-%{version}a
%patch0 -p1 -b .python2.5


%build
%{__python} config_unix.py
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/ogg/vorbis.so
%if 0%{?fedora} >= 9
%{python_sitearch}/pyvorbis-*.egg-info
%endif


%changelog
* Fri Jul 03 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5-0.17.a
- Add dist-tag (RHBZ #1237184).

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.16.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.15.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.14.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.13.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.12.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.11.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.10.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.9.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.5-0.8.a
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.7.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.6.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.5-0.5.a
- Rebuild for Python 2.6

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 1.5-0.4.a
- Include new egg file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Sep 12 2007 Matthias Saou <http://freshrpms.net/> 1.5-0.2.a
- Update to 1.5a pre-release.
- Include patch to fix crash with python 2.5 (#285341).

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 1.4-3
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 1.4-2
- Update License field.
- Remove dist tag, since the package will seldom change.

* Fri Mar  2 2007 Matthias Saou <http://freshrpms.net/> 1.4-1
- Update to 1.4.
- Use new URL and source location.
- Add explicit python-ogg requirement, since it provides the parent directory.
- Remove no longer needed explicit python-abi requirement.
- Spec file (quick) re-review and cleanup following ownership change.

* Fri Dec 22 2006 Jef Spaleta <jspaleta@gmail.com> 1.3-4
- Release bump and rebuild against python 2.5 in development

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-3
- Rebuilt for FC6

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-2
- Improvements in BuildRequires dependencies (point to python-ogg-devel)

* Fri May 19 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-1
- Initial RPM release

